Bug 1192552 - Configure > Global Parameters > New Parameter > Name field "can't contain white spaces"
Summary: Configure > Global Parameters > New Parameter > Name field "can't contain whi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.0.6
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Ohad Levy
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard: FAILEDQA in Upstream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-13 16:43 UTC by Matt Reid
Modified: 2019-09-25 20:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 08:48:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
can't contain white spaces (25.08 KB, image/png)
2015-02-13 16:44 UTC, Matt Reid
no flags Details
Global parameter message (51.81 KB, image/png)
2016-03-31 12:25 UTC, Tazim Kolhar
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 9439 None None None 2016-04-22 15:02:36 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Matt Reid 2015-02-13 16:43:31 UTC
Description of problem:
If you try to include a space in the Name of a Global Parameter, after trying to create it, you see the validation error "can't contain white spaces". It's more common to just see them referred to as 'spaces', rather than 'white spaces'. 

Version-Release number of selected component (if applicable):
6.0.6

Comment 1 Matt Reid 2015-02-13 16:44:09 UTC
Created attachment 991439 [details]
can't contain white spaces

Comment 2 RHEL Program Management 2015-02-13 17:03:20 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Bryan Kearney 2015-02-18 21:05:48 UTC
Created redmine issue http://projects.theforeman.org/issues/9439 from this bug

Comment 5 Bryan Kearney 2015-04-08 14:05:09 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/9439 has been closed
-------------
Ondrej Prazak
Applied in changeset commit:59712296ce45b5b2198fb41101c3e5f34f45edba.

Comment 7 Tazim Kolhar 2015-11-04 12:33:49 UTC
*** This bug is failing in upstream ****.
Version Tested:
# rpm -qa | grep foreman
foreman-proxy-1.11.0-0.develop.201510201341git00875b3.el7.noarch
foreman-selinux-1.11.0-0.develop.201510071426git6234447.el7.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-3.el7.noarch
tfm-rubygem-foreman_docker-1.4.1-2.fm1_10.el7.noarch
foreman-debug-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
foreman-compute-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
foreman-release-scl-1-1.el7.x86_64
foreman-gce-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
tfm-rubygem-foreman_gutterball-0.0.1-3.el7.noarch
hp-z600-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
hp-z600-01.rhts.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
tfm-rubygem-foreman_discovery-4.1.2-1.fm1_11.el7.noarch
foreman-vmware-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
tfm-rubygem-foreman_hooks-0.3.9-1.el7.noarch
tfm-rubygem-foreman-tasks-0.7.6-1.fm1_10.el7.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.8-1.el7.noarch
hp-z600-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-ovirt-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
foreman-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.3-4.el7.noarch
foreman-release-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
foreman-libvirt-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
foreman-postgresql-1.11.0-0.develop.201510271601git4e08a71.el7.noarch
tfm-rubygem-hammer_cli_foreman-0.4.0-1.201510201150gitab068d9.el7.noarch
tfm-rubygem-foreman_bootdisk-6.0.0-2.fm1_10.el7.noarch

steps:
Include a space in the Name of a Global Parameter
can't contain white spaces

Comment 8 Tazim Kolhar 2015-11-23 06:03:56 UTC
FAILEDQA:
# rpm -qa | grep foreman
hp-dl360g7-01.lab.eng.brq.redhat.com-foreman-proxy-1.0-1.noarch
foreman-release-1.11.0-0.develop.201511161350git860ef06.el7.noarch
foreman-vmware-1.11.0-0.develop.201511161350git860ef06.el7.noarch
foreman-debug-1.11.0-0.develop.201511161350git860ef06.el7.noarch
foreman-libvirt-1.11.0-0.develop.201511161350git860ef06.el7.noarch
foreman-selinux-1.11.0-0.develop.201510071426git6234447.el7.noarch
tfm-rubygem-foreman_hooks-0.3.9-1.el7.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.8-1.el7.noarch
tfm-rubygem-foreman_gutterball-0.0.1-3.el7.noarch
foreman-postgresql-1.11.0-0.develop.201511161350git860ef06.el7.noarch
hp-dl360g7-01.lab.eng.brq.redhat.com-foreman-proxy-client-1.0-1.noarch
tfm-rubygem-foreman_discovery-4.1.2-1.fm1_11.el7.noarch
foreman-1.11.0-0.develop.201511161350git860ef06.el7.noarch
foreman-ovirt-1.11.0-0.develop.201511161350git860ef06.el7.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-3.el7.noarch
foreman-proxy-1.11.0-0.develop.201511161424gitf24be74.el7.noarch
foreman-compute-1.11.0-0.develop.201511161350git860ef06.el7.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.3-4.el7.noarch
hp-dl360g7-01.lab.eng.brq.redhat.com-foreman-client-1.0-1.noarch
tfm-rubygem-foreman_bootdisk-6.0.0-2.fm1_10.el7.noarch
tfm-rubygem-hammer_cli_foreman-0.4.0-1.201511111650gitdda13df.el7.noarch
foreman-gce-1.11.0-0.develop.201511161350git860ef06.el7.noarch
foreman-release-scl-1-1.el7.x86_64
tfm-rubygem-foreman_docker-1.4.1-2.fm1_10.el7.noarch
tfm-rubygem-foreman-tasks-0.7.6-1.fm1_10.el7.noarch

steps:
validation error "can't contain white spaces"

Comment 11 Tazim Kolhar 2016-03-31 12:24:11 UTC
VERIFIED:

# rpm -qa | grep foreman
dell-pe-sc1435-02.rhts.englab.brq.redhat.com-foreman-client-1.0-1.noarch
foreman-debug-1.11.0.9-1.el6sat.noarch
tfm-rubygem-foreman-tasks-0.7.14.1-1.el6sat.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.4-1.el6sat.noarch
tfm-rubygem-foreman_bootdisk-6.1.0-1.el6sat.noarch
tfm-rubygem-foreman_gutterball-0.0.1-6.el6sat.noarch
dell-pe-sc1435-02.rhts.englab.brq.redhat.com-foreman-proxy-client-1.0-1.noarch
foreman-vmware-1.11.0.9-1.el6sat.noarch
tfm-rubygem-foreman_hooks-0.3.9-2.el6sat.noarch
foreman-postgresql-1.11.0.9-1.el6sat.noarch
foreman-selinux-1.11.0-1.el6sat.noarch
foreman-installer-katello-3.0.0.14-1.el6sat.noarch
foreman-discovery-image-3.1.1-2.el7sat.noarch
foreman-ovirt-1.11.0.9-1.el6sat.noarch
foreman-libvirt-1.11.0.9-1.el6sat.noarch
foreman-gce-1.11.0.9-1.el6sat.noarch
tfm-rubygem-foreman_docker-2.0.1.2-1.el6sat.noarch
foreman-1.11.0.9-1.el6sat.noarch
foreman-compute-1.11.0.9-1.el6sat.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.10-2.el6sat.noarch
tfm-rubygem-foreman_discovery-5.0.0.3-1.el6sat.noarch
tfm-rubygem-foreman-redhat_access-1.0.1-2.el6sat.noarch
foreman-proxy-1.11.0.2-1.el6sat.noarch
foreman-installer-1.11.0.0-1.el6sat.noarch
dell-pe-sc1435-02.rhts.englab.brq.redhat.com-foreman-proxy-1.0-1.noarch
puppet-foreman_scap_client-0.3.3-10.el6.noarch
tfm-rubygem-foreman_remote_execution-0.3.0.2-1.el6sat.noarch
tfm-rubygem-foreman_openscap-0.5.3.3-1.el6sat.noarch
tfm-rubygem-foreman_theme_satellite-0.1.3-1.el6sat.noarch
tfm-rubygem-hammer_cli_foreman-0.5.1.3-1.el6sat.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-4.el6sat.noarch

Steps:
validation error "can't contain spaces."

Screenshot attached

Comment 12 Tazim Kolhar 2016-03-31 12:25:07 UTC
Created attachment 1142200 [details]
Global parameter message

Comment 15 errata-xmlrpc 2016-07-27 08:48:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.